# Created by pyp2rpm-3.3.3
%global pypi_name awscrt

Name:           python-%{pypi_name}
Version:        0.11.24
Release:        1%{?dist}
Summary:        A common runtime for AWS Python projects

License:        Apache 2.0
URL:            https://github.com/awslabs/aws-crt-python
Source0:        %{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3dist(boto3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  cmake

%description
 AWS CRT Python[![Version]( 3 bindings for the AWS Common Runtime.API
documentation: LicenseThis library is licensed under the Apache 2.0 License.
Minimum Requirements: * Python 3.6+ InstallationTo install from pip:python3 -m
pip install awscrt To install from Github:git clone cd aws-crt-python git
submodule update --init python3 -m pip install . To use from your Python
application, declare...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 AWS CRT Python[![Version]( 3 bindings for the AWS Common Runtime.API
documentation: LicenseThis library is licensed under the Apache 2.0 License.
Minimum Requirements: * Python 3.6+ InstallationTo install from pip:python3 -m
pip install awscrt To install from Github:git clone cd aws-crt-python git
submodule update --init python3 -m pip install . To use from your Python
application, declare...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE crt/aws-c-auth/LICENSE crt/aws-c-cal/LICENSE crt/aws-c-common/LICENSE crt/aws-c-compression/LICENSE crt/aws-c-event-stream/LICENSE crt/aws-c-http/LICENSE crt/aws-c-io/LICENSE crt/aws-c-mqtt/LICENSE crt/aws-c-s3/LICENSE crt/aws-checksums/LICENSE crt/aws-lc/LICENSE crt/aws-lc/third_party/fiat/LICENSE crt/s2n/LICENSE crt/s2n/pq-crypto/bike_r1/LICENSE crt/s2n/pq-crypto/bike_r2/LICENSE crt/s2n/pq-crypto/bike_r3/LICENSE crt/s2n/pq-crypto/sike_r1/LICENSE.txt
%doc README.md crt/aws-c-auth/README.md crt/aws-c-cal/README.md crt/aws-c-common/README.md crt/aws-c-compression/README.md crt/aws-c-event-stream/README.md crt/aws-c-http/README.md crt/aws-c-http/bin/elasticurl/README.md crt/aws-c-io/README.md crt/aws-c-io/tests/vcc/README.md crt/aws-c-mqtt/README.md crt/aws-c-s3/README.md crt/aws-checksums/README.md crt/aws-lc/README.md crt/aws-lc/third_party/fiat/README.chromium crt/aws-lc/third_party/fiat/README.md crt/s2n/README.md crt/s2n/libcrypto-build/README.md crt/s2n/pq-crypto/README.md crt/s2n/pq-crypto/bike_r1/README.md crt/s2n/pq-crypto/bike_r2/README.md crt/s2n/pq-crypto/sike_r1/Readme.md crt/s2n/scram/README.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/_awscrt.cpython-36m-x86_64-linux-gnu.so
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Jun 23 2021 Aram Minasyan <aram.minasyan@yahoo.com> - 0.11.24-1
- Initial package.